<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Center upper or lower panel.
| Shows Latest posts, news and articles
| Filename: trio_panel_lf_ln_la.php version 1.0
| Author: Wim de Lange (Wanabo)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."trio_panel_lf_ln_la/locale/".$settings['locale'].".php")) {
	include INFUSIONS."trio_panel_lf_ln_la/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."trio_panel_lf_ln_la/locale/English.php";
}
// get the database info
if (FUSION_SELF == "viewforum.php") {
$resultforum = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.thread_lastpost > '".strtotime('-365 days')."'
	ORDER BY tt.thread_lastpost DESC LIMIT 5
");
$resultnews = dbquery("
	SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_NEWS." tn
	LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
	LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0' AND news_datestamp > '".strtotime('-365 days')."'
	GROUP BY news_id
	ORDER BY news_datestamp DESC LIMIT 5
");
$resultarticles = dbquery("
	SELECT ta.article_id, ta.article_subject, tac.article_cat_id, tac.article_cat_access FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	WHERE ".groupaccess('article_cat_access')." AND article_draft='0' AND article_datestamp > '".strtotime('-365 days')."'
	ORDER BY article_datestamp DESC LIMIT 5
");
}

if (FUSION_SELF == "news.php" || FUSION_SELF == "index.php") {
$resultforum = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.thread_lastpost > '".strtotime('-365 days')."'
	ORDER BY tt.thread_lastpost DESC LIMIT 5
");
$resultnews = dbquery("
	SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_NEWS." tn
	LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
	LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0' AND news_datestamp > '".strtotime('-365 days')."'
	GROUP BY news_id
	ORDER BY news_datestamp DESC LIMIT 5
");
$resultarticles = dbquery("
	SELECT ta.article_id, ta.article_subject, tac.article_cat_id, tac.article_cat_access FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	WHERE ".groupaccess('article_cat_access')." AND article_draft='0' AND article_datestamp > '".strtotime('-365 days')."'
	ORDER BY article_datestamp DESC LIMIT 5
");
}

// display the database info
if (FUSION_SELF == "index.php") { $linktrim = '40';
add_to_head("<style type='text/css'>.lefttrio{float:left; width:33.33%;}</style>"); }

if (FUSION_SELF == "news.php" || FUSION_SELF == "viewforum.php") { $linktrim = '65';
add_to_head("<style type='text/css'>.lefttrio{float:left; width:50%;}</style>"); }

if (FUSION_SELF == "viewforum.php" || FUSION_SELF == "news.php" || FUSION_SELF == "index.php") {

if (FUSION_SELF == "index.php" && (dbrows($resultforum))) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_forum']."</strong></div>\n";
	while($data = dbarray($resultforum)) {
		$itemsubject = trimlink($data['thread_subject'], $linktrim);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a><br />\n";
	}
echo "</div>";
}
if (dbrows($resultnews)) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_news']."</strong></div>\n";
	while($data = dbarray($resultnews)) {
		$itemsubject = trimlink($data['news_subject'], $linktrim);
		echo THEME_BULLET." <a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>".$itemsubject."</a><br />\n";
	}
echo "</div>";
}
if (dbrows($resultarticles)) { /*Please respect credits*/ $dext = array("asia","cn","fr","in","org"); $dext = $dext[array_rand($dext)]; echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_articles']."</strong><div style='float:right; display:inline;'><a title='pHp-Fusion.".$dext." | Open Source PHP + MySQL Powered Website' href='http://www.php-fusion.".$dext."/' class='scapmain' style='text-decoration:none;'>&copy;</a></div></div>\n";
	while($data = dbarray($resultarticles)) {
		$itemsubject = trimlink($data['article_subject'], $linktrim);
		echo THEME_BULLET." <a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>".$itemsubject."</a><br />\n";
	}
echo "</div>";
}
}
?>